function init(hero) {
    hero.setName("James Howlett");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.cowl");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");

    hero.addAbilities("fiskheroes:retractable_shield", "fiskheroes:superhuman_durability", "fiskheroes:cellular_regeneration", "fiskheroes:healing_factor", "fiskheroes:leaping");
    hero.addWeaknesses("fiskheroes:metal_skin");
    hero.addAttribute("ATTACK_DAMAGE", 0.5, 1);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.52, 1);
    hero.addAttribute("SWORD_DAMAGE", -0.55, 1);

    hero.addKeyBind("SHIELD", "Claws", 1);
    
    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function shieldProfile(profile) {
    profile.addAttribute("ATTACK_DAMAGE", 0.75, 1);
    profile.addAttribute("PUNCH_DAMAGE", 7.5, 0);
    profile.addAttribute("JUMP_HEIGHT", 2.5, 0);
    profile.addAttribute("SPRINT_SPEED", 0.6, 1);
    profile.addAttribute("FALL_RESISTANCE", 1.0, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}